Subject: [TOOLS-DEVELOPMENT] Notes 9 Sep 14 Call

From: Ray Pelletier <[email-masked]>
Date: Tue, 9 Sep 2014 14:29:00 -0400

Attendees

Pete
Heather
Robert
Russ
Matt
Ryan
Karen
Alice
Alexa

1. Datatracker Projects
 - Expected Datatracker Releases -- Robert and Henrik
	Quite a few accumulated; starting sometime next week
	See link from Robert email: <http://trac.tools.ietf.org/tools/ietfdb/wiki/MergePlan>
	Quite a few changes being implemented
	Improvements on choosing people; UI normalized
	remaining schema changes to implement from pre-Toronto

 - Automated Javascript testing -- Robert
	Framework deployed. Additional tests are prioritized behind other work, probably
until late Oct.

 - Test Coverage -- Henrik
	Still researching additional coverage tools.

 - IPR Tool improvements -- Robert
	On track. Current expectations are to begin testing with select community members in late September.

 - Liaison Tool improvements -- Robert
	Not on track - will be discussing next steps with the TMC later in the call.

 - UI style decision needed -- Russ
	I think we can talk this through, but I suspect we will want to schedule another call, focusing on this
 topic, next week.
	Using Bootstrap for producing the unified UI across the various platforms
	about 6 folks testing; positive feedback; shall we move to this new UI and put the 
	development resources behind it

	Russ - discussed in Toronto with Lars; do we want to adopt will make things easier in long run.  Some 
pain to get there.  Plus some changes that Henrik not happy with.  
	fl-test.rjsparks.org

	Russ - I’ll take this as a recommendation to move in this direction as there is no objection.

	Russ - will get a call for next week to progress the work.

2. Community & Other Projects

 - Present a directory view of active, archived, and unknown I-Ds	-- AMS
	Robert: The directory structure is documented (for staff and developers) at
<http://trac.tools.ietf.org/tools/ietfdb/wiki/DraftRepositoryDirectories>

I am still working to expose the new repository over ftp and rsync. There are
some significant design decisions, and some research to be done into what
we can do with the ftp server. I expect the next significant bit of progress here
to happen in a couple of weeks.

Once we have ftp and rsync figured out, Alexa and I will work together to
build a short description of the archives for the community which will be
posted somewhere appropriate on www.ietf.org.	

	Russ - would be a surprise if FTP gave the whole archive as well; need to warn people, hate 
to have people run out of disk

	Robert - we could everything except, but later include it
	Russ - a notification period essentially

 - Setup directorate wikis to ietf.org
	See the general wiki and trac migration subject below.

	Matt - pending Henrik and I getting together on this
	Russ - going real slow, has sat over a month; IESG asked for over 2.5 months

	Robert - setting up directory and getting them

	Robert - status - have set up one, and got one working; 
	Matt - Henrik working on scripts to bring them over; need before we deploy anything
	of production value; Manually deploy some?  Can’t estimate.  Need to talk with Henrik.	

 - IETF Website Makeover
	Russ - looking for a PM.  Have approached someone, but not closure.
	No action from IAOC until then.

 - Consequences of mail list rename -- AMS
	Alexa - has caused problems with archives; apparently not fixable
	Matt - with new archive tool and header, it breaks; Using an alias won't change the subject tag, 
not the URL of the archives.  Also do not know if Mailman would process the email if it were actually 
addressed to a different address.

 - Mentor Support Tool -- AMS
	Alexa - written in django; work has begun
	Ryan - looking at models and how to integrate with data tracker

3. RFC Services Projects
 - xml2rfc bug fixes -- Alice and Henrik
	Alice - old tickets having to do with formatting matching the new guides; no bugs 
preventing using V2
	
 - DOI SOW -- Robert
	Community Review 21 Sept
	As well as Auto Stats and Website Redesign

 - rfclint  SOW -- Robert
	awaiting tools review 

 - text submission converter SOW -- Robert
	Substantially complete

- Publication Format Converter (converts to PDFs, HTML, etc)
	Need comments from Tools

- idnits SOW
	Pretty much complete

 - RSE's Design Team -- Heather
	Progress and Stalls; another update for Framework Draft
	HTML draft at design team

4. Transition of Mission Critical Tools
 - Moving mail aliases to ietf.org and link them to datatracker database
	Robert - This is code complete. The next step is testing from Matt, final deployment, and announcement.
	Matt - have a series of files to check; the next 2 weeks to progress 

 - Moving issue trackers and wikis for IETF WGs on ietf.org
	Matt has set up one wiki, but he and Henrik need to work further on setting up a prototype (in the software 
architecture sense) instance that can be copied to instantiate each new directorate wiki on demand.

 - Moving xml2rfc to xml.ietf.org
	Robert - this is done, but the result is xml2rfc.ietf.org. 

5. Server Infrastructure

 - Automatic failover from Sunnyvale to Orlando -- AMS
	Matt - looking at options; not much in open source; run hot pairs in each date center?
	Russ - doesn’t solve concern when link to center fails
	Matt - will try to get something in Ocober

 - Support from a Content Distribution Network -- AMS
	Russ - DNSSEC still on list; something by year’s end commitment from them
	This will not be an easy fix for Cloudflare.

 - iCal servers -- AMS
	Matt - DAViCal - configuring and done by end of week.  Seems compatible, solid, works well.
	99% ready to go.  Need to finish configuration.  First calendar is IAOC, this team second.

 - IMAP access to the email archives -- Robert
	Ray - IAOC has awarded and a matter of concluding the contract

6. IDIQ Contractors
 - We have lost two, so we should get more -- Russ
	Overtime two contractors have stopped and need replacements
	(Yaco and Concentric Sky)
	A new RFP for additional contractors.

7. Parking Lot
	CDN Cloudflare moved to parking lot to track DNSSEC